import IconMail from "@/assets/icons/IconMail.svg";
import IconBluesky from "@/assets/icons/IconBluesky.svg";
import IconMastodon from "@/assets/icons/IconMastodon.svg";
import IconHackerNews from "@/assets/icons/IconHackerNews.svg";
import IconMatrix from "@/assets/icons/IconMatrix.svg";
import IconLobsters from "@/assets/icons/IconsLobsters.svg";
import IconLetterboxd from "@/assets/icons/IconLetterboxd.svg";
import IconXbox from "@/assets/icons/IconXbox.svg";
import IconBooks from "@/assets/icons/IconBooks.svg";
import IconForgejo from "@/assets/icons/IconForgejo.svg";

import { SITE } from "@/config";

export const LOCALE = {
  lang: "en", // html lang code. Set this empty and default will be "en"
  langTag: ["en-EN"], // BCP 47 Language Tags. Set this empty [] to use the environment default
} as const;

export const SOCIALS = [
  {
    name: "Forgejo",
    href: "https://forgejo.tiff.run",
    linkTitle: `${SITE.title} Forgejo projects`,
    icon: IconForgejo,
  },
  {
    name: "Matrix",
    href: "https://matrix.to/#/@100pdatcat:matrix.org",
    linkTitle: `${SITE.title} Matrix`,
    icon: IconMatrix,
  },
  {
    name: "Mail",
    href: "mailto:hithere@tiff.run",
    linkTitle: `Send an email to ${SITE.title}`,
    icon: IconMail,
  },
  {
    name: "Hacker News",
    href: "https://news.ycombinator.com/user?id=trw55",
    linkTitle: `${SITE.title} on Hacker News`,
    icon: IconHackerNews,
  },
  {
    name: "Letterboxd",
    href: "https://boxd.it/e0InP",
    linkTitle: `${SITE.title} on Letterboxd`,
    icon: IconLetterboxd,
  },
  {
    name: "Backloggd",
    href: "https://bckl.gg/mALo",
    linkTitle: `${SITE.title} on Backlogged`,
    icon: IconXbox,
  },
  {
    name: "Bookcrastinating",
    href: "https://bookrastinating.com/user/tiff",
    linkTitle: `${SITE.title} on Bookcrastinating`,
    icon: IconBooks,
  },
  {
    name: "Lobsters",
    href: "https://lobste.rs/~tiff",
    linkTitle: `${SITE.title} on Lobsters`,
    icon: IconLobsters,
  },
  {
    name: "Mastodon",
    href: "https://hachyderm.io/@tiff",
    linkTitle: `${SITE.title} Mastodon`,
    icon: IconMastodon,
  },
] as const;

export const SHARE_LINKS = [
  {
    name: "Mail",
    href: "mailto:?subject=See%20this%20post&body=",
    linkTitle: `Share this post via email`,
    icon: IconMail,
  },
  {
    name: "Bluesky",
    href: `https://bsky.app/intent/compose?{text}`,
    linkTitle: `Share this post on Bluesky`,
    icon: IconBluesky,
  },
] as const;
